commit:     65b4a808b078382a71e50760970b371104843a52
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  5 14:50:05 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jan  5 15:17:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65b4a808

dev-util/squashmerge: Bump to EAPI 7

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/squashmerge/squashmerge-0.1.ebuild  | 15 ++++++---------
 dev-util/squashmerge/squashmerge-9999.ebuild |  9 ++++-----
 2 files changed, 10 insertions(+), 14 deletions(-)

diff --git a/dev-util/squashmerge/squashmerge-0.1.ebuild 
b/dev-util/squashmerge/squashmerge-0.1.ebuild
index d4fc299daef..b85491ed942 100644
--- a/dev-util/squashmerge/squashmerge-0.1.ebuild
+++ b/dev-util/squashmerge/squashmerge-0.1.ebuild
@@ -1,9 +1,7 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-
-inherit autotools-utils
+EAPI=7
 
 DESCRIPTION="dev-util/squashdelta delta merge tool"
 HOMEPAGE="https://github.com/mgorny/squashmerge/";
@@ -13,6 +11,8 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="lz4 +lzo"
+# SquashDelta does not make much sense without a compression algo.
+REQUIRED_USE="|| ( lz4 lzo )"
 
 COMMON_DEPEND="
        lz4? ( app-arch/lz4:0= )
@@ -21,16 +21,13 @@ RDEPEND="${COMMON_DEPEND}
        dev-util/xdelta:3"
 DEPEND=${COMMON_DEPEND}
 
-# SquashDelta does not make much sense without a compression algo.
-REQUIRED_USE="|| ( lz4 lzo )"
-
 DOCS=( FORMAT )
 
 src_configure() {
-       local myeconfargs=(
+       local myconf=(
                $(use_enable lz4)
                $(use_enable lzo)
        )
 
-       autotools-utils_src_configure
+       econf "${myconf[@]}"
 }

diff --git a/dev-util/squashmerge/squashmerge-9999.ebuild 
b/dev-util/squashmerge/squashmerge-9999.ebuild
index 14b136be618..3c0238bf3d4 100644
--- a/dev-util/squashmerge/squashmerge-9999.ebuild
+++ b/dev-util/squashmerge/squashmerge-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 EGIT_REPO_URI="https://github.com/mgorny/${PN}.git";
 inherit autotools git-r3
@@ -14,6 +14,8 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS=""
 IUSE="lz4 +lzo"
+# SquashDelta does not make much sense without a compression algo.
+REQUIRED_USE="|| ( lz4 lzo )"
 
 COMMON_DEPEND="
        lz4? ( app-arch/lz4:0= )
@@ -22,9 +24,6 @@ RDEPEND="${COMMON_DEPEND}
        dev-util/xdelta:3"
 DEPEND=${COMMON_DEPEND}
 
-# SquashDelta does not make much sense without a compression algo.
-REQUIRED_USE="|| ( lz4 lzo )"
-
 DOCS=( FORMAT )
 
 src_prepare() {

Reply via email to